GraphChi 0.1

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Macros
Public Member Functions | Public Attributes | Protected Member Functions
graphchi::sliding_shard< VT, ET, svertex_t, ETspecial > Class Template Reference

List of all members.

## Public Member Functions
| sliding_shard (stripedio *iomgr, std::string _filename_edata, std::string _filename_adj, vid_t _range_st, vid_t _range_en, size_t _blocksize, metrics &_m, bool _disable_writes=false, bool onlyadj=false)
size_t | num_edges ()
void | read_next_vertices (int nvecs, vid_t start, std::vector< svertex_t > &prealloc, bool record_index=false, bool disable_writes=false)
void | commit (sblock &b, bool synchronously, bool disable_writes=false)
void | flush ()
void | set_offset (size_t newoff, vid_t _curvid, size_t edgeptr)
void | release_prior_to_offset (bool all=false, bool disable_writes=false)
std::string | get_info_json ()

## Public Attributes
bool | only_adjacency

## Protected Member Functions
size_t | get_adjoffset ()
size_t | get_edataoffset ()
void | save_offset ()
void | move_close_to (vid_t v)
void | check_curblock (size_t toread)
void | check_adjblock (size_t toread)
template<typename U >
U | read_val ()
template<typename U >
U * | read_edgeptr ()
void | skip (int n, int sz)

## Member Function Documentation

template<typename VT , typename ET , typename svertex_t = graphchi_vertex<VT, ET>, typename ETspecial = ET>

void graphchi::sliding_shard< VT, ET, svertex_t, ETspecial >::commit | ( | sblock & | b,
|  | bool | synchronously,
|  | bool | disable_writes = `false`
| ) |  |
| inline

Commit modifications.

template<typename VT , typename ET , typename svertex_t = graphchi_vertex<VT, ET>, typename ETspecial = ET>

void graphchi::sliding_shard< VT, ET, svertex_t, ETspecial >::flush | ( |  | ) |
| inline

Release all buffers

template<typename VT , typename ET , typename svertex_t = graphchi_vertex<VT, ET>, typename ETspecial = ET>

void graphchi::sliding_shard< VT, ET, svertex_t, ETspecial >::read_next_vertices | ( | int | nvecs,
|  | vid_t | start,
|  | std::vector< svertex_t > & | prealloc,
|  | bool | record_index = `false`,
|  | bool | disable_writes = `false`
| ) |  |
| inline

Read out-edges for vertices.

template<typename VT , typename ET , typename svertex_t = graphchi_vertex<VT, ET>, typename ETspecial = ET>

void graphchi::sliding_shard< VT, ET, svertex_t, ETspecial >::release_prior_to_offset | ( | bool | all = `false`,
|  | bool | disable_writes = `false`
| ) |  |
| inline

Release blocks that come prior to the current offset/

template<typename VT , typename ET , typename svertex_t = graphchi_vertex<VT, ET>, typename ETspecial = ET>

void graphchi::sliding_shard< VT, ET, svertex_t, ETspecial >::set_offset | ( | size_t | newoff,
|  | vid_t | _curvid,
|  | size_t | edgeptr
| ) |  |
| inline

Set the position of the sliding shard.

The documentation for this class was generated from the following file:

- src/shards/slidingshard.hpp